Skip to content
中文

AnimateAnyone Video Generation

Method: POSTEndpoint: /qwen/api/v1/services/aigc/image2video/video-synthesis/

Official API Documentation

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

Request Parameters

Header Parameters

text
X-DashScope-Async
string
Required
Example:
enable
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}

Body Parameters application/json Required

text
model
string
Required
input
object
Required
image_url
string
Required
  // provider-specific example normalized for English documentation
  // provider-specific example normalized for English documentation
  // provider-specific example normalized for English documentation
Notes
  // provider-specific example normalized for English documentation
template_id
string
Required
  // provider-specific example normalized for English documentation
Notes
  // provider-specific example normalized for English documentation
parameters
object
Required
use_ref_img_bg
boolean
Optional
  // provider-specific example normalized for English documentation
  // provider-specific example normalized for English documentation
  // provider-specific example normalized for English documentation
video_ratio
string
Optional
  // provider-specific example normalized for English documentation
Notes
  // provider-specific example normalized for English documentation
Notes
  // provider-specific example normalized for English documentation
Example
{
"model"
:
"animate-anyone-gen2"
,
"input"
:
{
"image_url"
:
"http://xxx/1.jpg"
,
"template_id"
:
"AACT.xxx.xxx-xxx.xxx"
}
,
"parameters"
:
{
"use_ref_img_bg"
:
false
,
"video_ratio"
:
"9:16"
}
}

Example Request

Shell

bash
curl --location --request POST '/qwen/api/v1/services/aigc/image2video/video-synthesis/' \
--header 'X-DashScope-Async: enable' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "model": "animate-anyone-gen2",
    "input": {
        "image_url": "http://xxx/1.jpg",
        "template_id": "AACT.xxx.xxx-xxx.xxx"
    },
      "parameters": {
         "use_ref_img_bg": false,
         "video_ratio": "9:16"
    }
  }'

Response

🟢 200 Success

Content Type: application/json

Response Schema

text
object

Example

json
{}